安卓项目3.0.1升级到最新的3.4.0

安卓项目3.0.1升级到最新的3.4.0

升级背景:

项目比较大,也比较老,想用点新的api,布局,或者什么新功能的都不可以,所以觉醒把项目从2.3.3升级到了3.0.1然后发现ConstraintLayout这个用不了,然后又再次进行了升级,吧Android Studio升级到最新3.4 ,把build:gradle 升级到了3.4.0,同时Gradle升级到了5.1.1

本篇文章用于记录遇到的问题(仅适用3.0.1 升级到 3.4.0,不是这样的升级也可以参考下)
说干就干:

第一步:把项目的gradle的classpath升级到3.4.0

classpath 'com.android.tools.build:gradle:3.4.0'

第二步:把Gradle升级到5.1.1+(至于为啥是5.1.1+下面会说到),文件在项目的gradle-wrapper.properties配置里

distributionUrl=https\://services.gradle.org/distributions/gradle-5.1.1-all.zip

然后你就可以build了,哇咔咔咔咔咔。。。等了半天编译没过出现以下错误
1.可能出现
resolve …jar 等了老长时间。我给X掉了,然后重新来出现了
在这里插入图片描述
开始以为是代理问题,然后给studio设置代理,没效果,解决方法貌似是
在这里插入图片描述
然后等着,继续build然后出现下面错误
在这里插入图片描述
遇到这个错误搞了很久,解决方法是,删除.gradle文件,我是mac系统目录在

/Users/mac_py/.gradle

把.gradle整体删除,等着吧 然后就成了

最后贴一下studio 对应的build:gradle 和 Gradle版本对应关系
在这里插入图片描述
这是官网对应版本:https://developer.android.com/studio/releases/gradle-plugin

至于2.3.3升级到3.0.1跟项目本身有太大关系包括各种库什么的,需要自己一个个来,不过有问题可以问我,我会回答的。
欢迎留言

发布了31 篇原创文章 · 获赞 18 · 访问量 6万+
展开阅读全文

没有更多推荐了,返回首页

©️2019 CSDN 皮肤主题: 大白 设计师: CSDN官方博客

分享到微信朋友圈

×

扫一扫,手机浏览